# DropSpriteObserver (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.drop.client
Interface DropSpriteObserver

    public interface DropSpriteObserver

Provides notifications for drop puzzle specific stuff.

Method Summary
`void` `pieceMoved(DropSprite sprite, long when, int col, int row)` Called when the drop sprite has moved completely to the specified board coordinates.

Method Detail

### pieceMoved

    void pieceMoved(DropSprite sprite,
                    long when,
                    int col,
                    int row)

  Called when the drop sprite has moved completely to the specified board coordinates.

Copyright © 2011. All Rights Reserved.